Cango Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/cango-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1770595200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir-image.cangoonline.com/ir-documents/2026-02-09_Cango-Inc-Completes-%20Bitcoin-Sale-to-Strengthen-Financial-Position-1.pdf",
    "holding_balance": 3023.6,
    "holding_net_change": -4451.0,
    "transaction_value_usd": 312128422.46,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1772755200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir-image.cangoonline.com/ir-documents/2026-03-06_Cango-Inc.%20Announces-February-2026-Computing-and-Energy-Operations-Update-1.pdf",
    "holding_balance": 3313.4,
    "holding_net_change": 289.8,
    "transaction_value_usd": 19737512.928,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774915200000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://ir-image.cangoonline.com/ir-documents/2026-04-08_Cango-Inc-Announces-March-2026-Operational-Update-Strategically-Optimizing-Mining-Fleet-and-Improving-Production-Economics.pdf",
    "holding_balance": 1025.69,
    "holding_net_change": -2000.0,
    "transaction_value_usd": 136333220.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1025.69
  ],
  [
    1779062400000,
    1025.69
  ],
  [
    1779148800000,
    1025.69
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    79419033.1034
  ],
  [
    1779062400000,
    78920968.29630001
  ],
  [
    1779148800000,
    78731974.6569
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.48,
    "date": "2026-05-15",
    "high": 0.54,
    "open": 0.5,
    "close": 0.54,
    "volume": 622100
  },
  {
    "low": 0.48,
    "date": "2026-05-18",
    "high": 0.53,
    "open": 0.51,
    "close": 0.5,
    "volume": 390700
  },
  {
    "low": 0.4526,
    "date": "2026-05-19",
    "high": 0.5039,
    "open": 0.4888,
    "close": 0.4842,
    "volume": 438957
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.1,
  "quarterly_earnings_growth": 1.373,
  "eps_estimate_current_quarter": -0.19
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 0.88,
  "six_month_return": -68.46,
  "three_month_return": -39.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/cango-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 39.6,
  "total_btc_percentage": 0.005,
  "share_price_change_state": "down"
}